# SpeciesFormChangeMoveLearnedTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeMoveLearnedTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeMoveLearnedTrigger

- Defined in src/data/pokemon-forms.ts:343

##### Index

### Constructors

constructor

### Properties

description
known
move

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeMoveLearnedTrigger(
  move: Moves ,
  known?: boolean,
  ): SpeciesFormChangeMoveLearnedTrigger

  #### Parameters

  - move: Moves
  - known: boolean = true

  #### Returns SpeciesFormChangeMoveLearnedTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:347

## Properties

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

### known

known: boolean

- Defined in src/data/pokemon-forms.ts:345

### move

move: Moves

- Defined in src/data/pokemon-forms.ts:344

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:365

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228